#include <iostream>
#include "bio_sequence.h"

using namespace Rmc;

//
BioSequence::~BioSequence(){}

//
void BioSequence::clear()
{
	m_id.erase();
	m_annot.erase();
	m_seq.erase();
	m_t.clear();
	m_p.clear();
	m_l.clear();
}

//
void BioSequence::print(std::ostream& os, int line_length) const
{
	os << '>' << id() << ' ' << annot() << std::endl;

	// print sequence
	int i=0; // i-th position in sequence
	int p; // position in line
	while (i < length()){
		os << at(i++);
		p = i % line_length;
		if(p == 0) os << std::endl;
	}
	if(p) os << std::endl;
}
